#ifndef ISTOMPOBSERVER_H
#define ISTOMPOBSERVER_H

#include <QString>

namespace interface {
class iStompObserver {

public:
    virtual ~iStompObserver() {}

protected:
    iStompObserver() {}

public:
    virtual void connectConfirmation(bool success, QString version) = 0;
    virtual void sendConfirmation(bool success) = 0;
    virtual void subscribeConfirmation(bool success) = 0;
    virtual void receiveIndication(int id, QString destination, QString body) = 0;
    virtual void disconnectConfirmation() = 0;
    virtual void disconnectIndication() = 0;
};
}
#endif // ISTOMPOBSERVER_H
